document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_22200 | ---
+++
@@ -34,10 +34,11 @@
cd $SRC_DIR
# install pre-commit hook for doing clean commits
-if test ! \( -x .git/hooks/pre-commit -a -L .git/hooks/pre-commit \);
+GIT_DIR=`git rev-parse --git-dir`
+if test ! \( -x $GIT_DIR/hooks/pre-commit -a -L $GIT_DIR/hooks/pre-commit \);
then
-rm -f .git/hooks/pre-commit
-ln ... | bash |
d_bash_22201 | ---
+++
@@ -9,6 +9,6 @@
rm -rf $CLOSED_PATH/
pick_closed_reference_otus.py -i $FASTA -o $CLOSED_PATH -p code/closedref.params.txt
-mothur "#set.dir(output=$CLOSED_PATH); biom=$CLOSED_PATH/otu_table.biom)"
+mothur "#set.dir(output=$CLOSED_PATH); make.shared(biom=$CLOSED_PATH/otu_table.biom)"
R -e "source('code/sh... | bash |
d_bash_22202 | ---
+++
@@ -23,6 +23,8 @@
echo "Installing slack-notifier..."
bundle install
+
+ bundle exec $WERCKER_STEP_ROOT/run.rb
else
if ! which bundler > /dev/null 2>&1 ; then
sudo gem install bundler
@@ -30,9 +32,9 @@
echo "Installing slack-notifier as root..."
sudo bundle install
+
... | bash |
d_bash_22203 | ---
+++
@@ -8,6 +8,8 @@
if [[ $PHP_RUNTIME == php* ]]; then
RUN_CMDS="$RUN_CMDS && \\\\\n docker-php-ext-install zip"
+ RUN_CMDS="$RUN_CMDS && \\\\\n apt-get install -y libgmp-dev"
+ RUN_CMDS="$RUN_CMDS && \\\\\n ln -s /usr/include/x86_64-linux-gnu/gmp.h /usr/include/gmp.h && docker-php-ext-ins... | bash |
d_bash_22204 | ---
+++
@@ -1,11 +1,15 @@
#!/bin/sh
DOCDIR="/home/tatsh/dev/sutra-doc"
FLOURISH="/home/tatsh/dev/flourish"
-SUTRA="/home/tatsh/dev/sutra-separated/classes"
+SUTRA="/home/tatsh/dev/sutra/classes"
phpdoc -ti "Sutra documentation (generated $(date))" \
-t "$DOCDIR" \
- -d "$SUTRA,$FLOURISH"
+ -d "$SUTRA,$FLOURIS... | bash |
d_bash_22205 | ---
+++
@@ -15,3 +15,8 @@
# recursively download a website
alias rwget='wget -r -k -p -np -E'
+# Create and cd into a new directory in one step
+mcd() {
+ mkdir -p $1
+ cd $1
+} | bash |
d_bash_22206 | ---
+++
@@ -3,6 +3,10 @@
export GOPATH="$PREFIX/pprof"
# Build/Install pprof from google at specified hash
go install github.com/google/pprof@c488b8fa1db3fa467bf30beb5a1d6f4f10bb1b87
+
+# go creates read-only files. Do this so Civet can properly clean up
+chmod -R 700 ${GOPATH}/pkg
+
# Set GPERF_DIR path (influen... | bash |
d_bash_22207 | ---
+++
@@ -18,8 +18,11 @@
echo "Running command: $1"
$1
else
- exec uwsgi --plugin http,python3 --master --http :8000 --need-app --wsgi-file deploy/wsgi.py \
- --static-map ${STATIC_URL:-/static}=${STATIC_ROOT:-/srv/smbackend/static} \
+ exec uwsgi --plugin http,python3 --master --http... | bash |
d_bash_22208 | ---
+++
@@ -1,7 +1,7 @@
package(){
local dir=${1}
- local files=($(find * -type f -iname '*.sh' | grep ${dir}))
+ local files=($(find * -type f -iname '*.sh' | grep ${dir}/))
for file in ${files[@]}; do
source ${file} | bash |
d_bash_22209 | ---
+++
@@ -9,7 +9,7 @@
DATE=`date -R`
# Copy debian config files
-DEBROOT=target/octobuild-${VERSION}
+DEBROOT=target/octobuild
rm -fR $DEBROOT
mkdir -p $DEBROOT/
cp -r debian $DEBROOT/ | bash |
d_bash_22210 | ---
+++
@@ -2,7 +2,7 @@
if [ ! -d "$HOME/.yadr" ]; then
echo "Installing YADR for the first time"
- git clone https://github.com/skwp/dotfiles.git "$HOME/.yadr"
+ git clone https://github.com/hderms/dotfiles.git "$HOME/.yadr"
cd "$HOME/.yadr"
[ "$1" = "ask" ] && export ASK="true"
rake ins... | bash |
d_bash_22211 | ---
+++
@@ -6,11 +6,13 @@
export PATH=/opt/myperl/bin:$PATH
fi
-echo "
+echo "
DROP database if exists openxpki;
CREATE database openxpki CHARSET utf8;
CREATE USER 'openxpki'@'localhost' IDENTIFIED BY 'openxpki';
GRANT ALL ON openxpki.* TO 'openxpki'@'localhost';
+CREATE USER 'openxpki_session'@'localhos... | bash |
d_bash_22212 | ---
+++
@@ -16,10 +16,14 @@
export EDITOR="code"
alias dot="code -n ~/.dotfiles"
alias hosts="code -n /etc/hosts"
-else
+elif command -v vim >/dev/null 2>&1; then
export EDITOR="vim"
alias dot="vim ~/.dotfiles"
alias hosts="sudo vim /etc/hosts"
+else
+ export EDITOR="nano"
+ alias dot="nano ~/.dotfiles"
+... | bash |
d_bash_22213 | ---
+++
@@ -26,7 +26,9 @@
echo "Environment variables in use:"
env | grep EQ_
-npm install
-npm run compile
+if [ ! -s "app/static" ]; then
+ npm install
+ npm run compile
+fi
python application.py runserver | bash |
d_bash_22214 | ---
+++
@@ -2,5 +2,18 @@
set -e
-virtualenv-3 env
+for venv in virtualenv-3 virtualenv-3.5 virtualenv-3.6; do
+ echo $venv
+ if which $venv 2>/dev/null; then
+ break
+ fi
+done
+
+
+if [ ! "$venv" ]; then
+ echo "Could not find virtual env 3"
+ exit 1
+fi
+
+$venv env
env/bin/pip install -r requirements... | bash |
d_bash_22215 | ---
+++
@@ -1,4 +1,16 @@
StringValidator(){
+ beginsWith(){
+ char=${1}
+ shift
+ string=${@}
+
+ if [[ ${string} == ${char}* ]]; then
+ echo true
+ else
+ return;
+ fi
+ }
+
beginsWithVowel(){
string=${@}
| bash |
d_bash_22216 | ---
+++
@@ -10,6 +10,20 @@
brew tap caskroom/cask
brew cask install $(cat brew-cask-packages)
+# Install oh-my-zsh
+sh -c "$(wget https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O -)"
+
+# Backup original .zshrc
+cp ~/.zshrc ~/.zshrc.orig
+
+# *** Custom ZSH Configuration *** #
... | bash |
d_bash_22217 | ---
+++
@@ -1,12 +1,4 @@
#!/bin/bash
-
-# TODO(SamYaple): Tweak libvirt.conf rather than change permissions.
-# Fix permissions for libvirt
-# Do not remove unless CentOS has been validated
-if [[ -c /dev/kvm ]]; then
- chmod 660 /dev/kvm
- chown root:qemu /dev/kvm
-fi
# Mount xenfs for libxl to work
if [[... | bash |
d_bash_22218 | ---
+++
@@ -1,2 +1,3 @@
vendor/bin/phpunit -c ./ --coverage-html=$CIRCLE_ARTIFACTS/coverage --log-junit=$CIRCLE_TEST_REPORTS/junit.xml src/App/Test/*Test.php
+mkdir $CIRCLE_ARTIFACTS/phpmd
vendor/bin/phpmd src html cleancode,codesize,controversial,design,naming,unusedcode --reportfile $CIRCLE_ARTIFACTS/phpmd/phpmd.... | bash |
d_bash_22219 | ---
+++
@@ -5,7 +5,7 @@
# deps
echo "... installing deps ..."
-sudo apt-get -y install wget git \
+sudo apt-get -y install wget git gcc \
libopenmpi-dev libhwloc-dev libsuitesparse-dev libmumps-dev \
gfortran python-scipy python-matplotlib dvipng \
libfftw3-dev libfftw3-mpi-dev libmetis-dev \ | bash |
d_bash_22220 | ---
+++
@@ -6,8 +6,8 @@
if (( "$#" != 2 ))
then
- echo "Usage: $0 app_name app_version, e.g. $0 devcenter 1.0.0"
-exit 1
+ echo "Usage: $0 app_name app_version, e.g. $0 devcenter 1.0.0"
+ exit 1
fi
APP_NAME=$1
@@ -37,6 +37,7 @@
ln -s $SCRIPT_DIR/routes
ln -s $SCRIPT_DIR/views
ln -s $SCRIPT_DIR/node_mod... | bash |
d_bash_22221 | ---
+++
@@ -2,4 +2,5 @@
####This file is only used for continuous evaluation.
export CE_MODE_X=1
+sh data/download.sh
python train.py | python _ce.py | bash |
d_bash_22222 | ---
+++
@@ -6,7 +6,7 @@
LOGDIR=$(dirname $LOGFILE)
# number of gunicorn workers
-NUM_WORKERS=17
+NUM_WORKERS=9
HOST='127.0.0.1:8000'
# user/group to run as | bash |
d_bash_22223 | ---
+++
@@ -26,5 +26,5 @@
find . -name "*.pyc" -delete
find . -name ".svn" -exec rm -Rf {} \; 2>/dev/null
cd ..
-GZIP="gzip -9" tar -zcvf namebench-${version}.tgz namebench-${version}/
+GZIP="-9" tar -zcvf namebench-${version}.tgz namebench-${version}/
rm -Rf namebench-${version} | bash |
d_bash_22224 | ---
+++
@@ -38,7 +38,7 @@
chmod +x $buildFile
# Cleanup
- if test ! -d $tempFolder; then
+ if test -d $tempFolder; then
rm -rf $tempFolder
fi
fi | bash |
d_bash_22225 | ---
+++
@@ -22,3 +22,11 @@
git checkout "$@"
fi
}
+
+function gdb() {
+ if [ $# -eq 0 ]; then
+ git branch -d $(gb | pick | awk '{print $1;}')
+ else
+ git branch -d "$@"
+ fi
+} | bash |
d_bash_22226 | ---
+++
@@ -13,15 +13,15 @@
function vundle () {
vundle-init
- vim -c "execute \"PluginInstall\" | q | q"
+ vim -c "execute \"PluginInstall\" | qa"
}
function vundle-update () {
vundle-init
- vim -c "execute \"PluginInstall!\" | q | q"
+ vim -c "execute \"PluginInstall!\" | qa"
}
function vundle-... | bash |
d_bash_22227 | ---
+++
@@ -5,9 +5,9 @@
alias ping='ping -c 10'
if [ -f /usr/share/vim/vim81/macros/less.sh ]
-then alias less=/usr/share/vim/vim81/macros/less.sh
+then alias vless=/usr/share/vim/vim81/macros/less.sh
elif [ -f /usr/share/vim/vim80/macros/less.sh ]
-then alias less=/usr/share/vim/vim80/macros/less.sh
+then alias... | bash |
d_bash_22228 | ---
+++
@@ -3,7 +3,7 @@
declare -A aliases
aliases=(
- [1.3.2]='1.3 1 latest'
+ [1.3.3]='1.3 1 latest'
[1.2.2]='1.2'
)
| bash |
d_bash_22229 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/sh
-ffmpeg -y -f image2 -i %d_image.ppm video.mpg
+ffmpeg -y -f image2 -i %d_image.ppm -sameq video.mpg | bash |
d_bash_22230 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -e
-./mvnw clean install -B -Pdocs ${@}
+./mvnw clean install -B -Pdocs,central ${@}
cd spring-cloud-kubernetes-integration-tests
./run.sh ${@}
| bash |
d_bash_22231 | ---
+++
@@ -24,6 +24,9 @@
git add .
pre-commit run --show-diff-on-failure -a
+# make sure all images build
+docker-compose -f local.yml build
+
# run the project's type checks
docker-compose -f local.yml run django mypy my_awesome_project
| bash |
d_bash_22232 | ---
+++
@@ -2,5 +2,6 @@
# Sublime: 'subl -nw'
# MacVim: 'mvim'
# Vim: 'vim'
-export EDITOR="subl -nw"
-export GEM_EDITOR="subl -nw"
+# VS Code: 'code --wait'
+export EDITOR="code --wait"
+export GEM_EDITOR="code --wait" | bash |
d_bash_22233 | ---
+++
@@ -1,11 +1,11 @@
#!/usr/bin/env bash
-
+# TODO: remove this hack, don't use a dedicated proxy for the download
if [ ! -f /opt/ext/stanford-corenlp-3.8.0.jar ]; then
- curl -o /opt/ext/stanford-corenlp-3.8.0.jar https://repo1.maven.org/maven2/edu/stanford/nlp/stanford-corenlp/3.8.0/stanford-corenlp-3.8.0... | bash |
d_bash_22234 | ---
+++
@@ -5,7 +5,7 @@
BUILD=build/$1
# Generate the MD5 hash
-echo -n md5sum --binary $BUILD/application.bin | awk '{ print $1 }' > __md5hash.bin
+echo -n `md5sum --binary $BUILD/application.bin | awk '{ print $1 }'` > __md5hash.bin
# Concatenate it with the application binary
cat $BUILD/application.bin __m... | bash |
d_bash_22235 | ---
+++
@@ -1,13 +1,11 @@
#!/bin/bash
fw_depends dlang dub
-
-sed -i 's|127.0.0.1|'"${DBHOST}"'|g' source/app.d
# Clean any files from last run
rm -f fwb
rm -rf .dub
-dub build --force
+dub build
./fwb & | bash |
d_bash_22236 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
if [ "$ACTION" == "add" ];
then
- /opt/k81x/k81x-fkeys on
+ /opt/k81x/k81x-fkeys -s on
fi | bash |
d_bash_22237 | ---
+++
@@ -1,4 +1,6 @@
function clock() {
- watch -t -n1 'echo "$(date +%a\ %b\ %e\ %Y%n%X\ %Z)\n$(date -u +%X\ %Z)" | figlet -k -c -w$(tput cols)'
+ watch -t -n1 \
+ 'echo "$(date +%a\ %b\ %e\ %Y%n%Z\ %X)\n$(date -u +%Z\ %X)\nLondon $(TZ=Europe/London date +%X)\nBerlin $(TZ=Europe/Berlin date +%X)\nJakarta $(... | bash |
d_bash_22238 | ---
+++
@@ -1,14 +1,11 @@
#!/bin/sh
set -x
-dotnet publish ../../Pinta.sln -p:BuildTranslations=true --configuration Release -r osx-x64
-
MAC_APP_DIR=Pinta.app
MAC_APP_BIN_DIR="${MAC_APP_DIR}/Contents/MacOS/"
-BIN_DIR=../../bin/osx-x64/publish
mkdir -p ${MAC_APP_DIR}/Contents/{MacOS,Resources}
-cp -r ${BIN_D... | bash |
d_bash_22239 | ---
+++
@@ -4,3 +4,6 @@
android_path="$HOME/android-sdk-macosx/tools:$HOME/android-sdk-macosx/platform-tools"
add_to_path "$android" "$android_path"
+
+export ANDROID_HOME="$android"
+export JAVA_HOME="$(/usr/libexec/java_home)" | bash |
d_bash_22240 | ---
+++
@@ -7,6 +7,7 @@
local -r sha="$(image_sha)"
local -r tag="${sha:0:7}"
docker tag ${image}:latest "${image}:${tag}"
+ echo
echo "CYBER_DOJO_RUNNER_SHA=${sha}"
echo "CYBER_DOJO_RUNNER_TAG=${tag}"
} | bash |
d_bash_22241 | ---
+++
@@ -4,7 +4,7 @@
# checksums
sashimi_md5="d11062f49b37fc2f54faa36382a5380f"
-sashimi_anno_md5="98c11963d87e1361717c304f8a078c5e"
+sashimi_anno_md5="c6f8411283bcc6eb80f68da139af3505"
pdfmd5() {
grep -avE 'CreationDate|ModDate|Producer' $1 | md5sum | awk '{$0=$1}1'
@@ -19,7 +19,7 @@
anno=""
for f i... | bash |
d_bash_22242 | ---
+++
@@ -14,9 +14,9 @@
./node_modules/.bin/gulp test:local
./node_modules/.bin/gulp test:sauce
-nvm use 0.12
+nvm --delete-prefix use 0.12
./node_modules/.bin/gulp test:node
-nvm use 4
+nvm --delete-prefix use 4
./node_modules/.bin/gulp test:node
| bash |
d_bash_22243 | ---
+++
@@ -3,6 +3,7 @@
make clean
g++ --version
+$PREFIX/bin/g++ --version
if [ `uname` == Darwin ]; then
if mpic++ --show | grep -q "clang++"; then
@@ -13,6 +14,7 @@
sed -i.bak "s|mpic++|g++ -I$PREFIX/include -L$PREFIX/lib -lmpi_cxx -lmpi|g" compiler.mk
fi
ln -s $PREFIX/bin/g++ g++
+ ... | bash |
d_bash_22244 | ---
+++
@@ -5,14 +5,14 @@
action=${1}
branch=${2}
- MessageBuilder logErrorMsg cannot-${action}-${branch}-because-${branch}-is-the-current-branch.
+ Logger logErrorMsg cannot-${action}-${branch}-because-${branch}-is-the-current-branch.
}
existingBranchException(){
action=${1}
branch=${2}
- Me... | bash |
d_bash_22245 | ---
+++
@@ -22,4 +22,4 @@
echo "Starting Locust in ${LOCUST_MODE} mode..."
echo "$ locust ${LOCUST_OPTS} ${_LOCUST_OPTS}"
-locust ${LOCUST_OPTS} ${_LOCUST_OPTS}
+exec locust ${LOCUST_OPTS} ${_LOCUST_OPTS} | bash |
d_bash_22246 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-cp .stack-work/install/*/lts-7.14/*/bin/hs-books public_html/index.cgi
+cp .stack-work/install/*/lts-7.14/*/bin/hs-books public_html/app.cgi | bash |
d_bash_22247 | ---
+++
@@ -21,6 +21,7 @@
alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \
perl -pe 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm"
alias grh='git reset HEAD'
+alias grso='git remote show origin'
alias feature='git flow feature'
alias release='git flow release'
alias hotfi... | bash |
d_bash_22248 | ---
+++
@@ -2,6 +2,7 @@
alias be="bundle exec"
alias r="bundle exec rspec"
+alias ram="ps aux | awk '{print \$6/1024 \" MB\t\t\" \$11}' | sort -n"
if which exa &> /dev/null; then
alias ls="exa" | bash |
d_bash_22249 | ---
+++
@@ -10,4 +10,4 @@
swaks --h-Subject: "Swaks HTML" --data html.raw
# Attachment test
-swaks --h-Subject: "Swaks Attachment" --attach-type image/png --attach favicon.png
+swaks --h-Subject: "Swaks Attachment" --attach-type image/png --attach favicon.png --body text.txt | bash |
d_bash_22250 | ---
+++
@@ -1,7 +1,9 @@
#!/bin/bash
-# echo "Building Docker image."
-# docker build -f Dockerfiles/lasp-evaluation -t cmeiklejohn/lasp-evaluation .
+if [ ! -z "$BUILD" ]; then
+ echo "Building Docker image."
+ docker build -f Dockerfiles/lasp-evaluation -t cmeiklejohn/lasp-evaluation .
+fi
echo "Launching do... | bash |
d_bash_22251 | ---
+++
@@ -21,4 +21,25 @@
PATH=$HOME/rust-install/bin:$PATH
PATH=$HOME/.cargo/bin:$PATH
+
+#export LLVM_SRC=$HOME/workspace/mpk/rust/src/llvm
+#export LLVM_OBJ=$HOME/workspace/mpk/rust/build/x86_64-unknown-linux-gnu/llvm/build
+#export LLVM_DIR=$HOME/workspace/mpk/rust/build/x86_64-unknown-linux-gnu/llvm/build
+... | bash |
d_bash_22252 | ---
+++
@@ -9,7 +9,8 @@
Module=${Mod}-$ver
mod=`echo "${Mod}" | tr '[:upper:]' '[:lower:]'`+
module="${mod}-${ver}"
-export PATH=`pwd`/.build/gir2swift/.build/debug:"${PATH}"
+BUILD_DIR=`pwd`/.build
+export PATH="${BUILD_DIR}/gir2swift/.build/release:${BUILD_DIR}/gir2swift/.build/debug:${PATH}"
LINKFLAGS=`pkg-con... | bash |
d_bash_22253 | ---
+++
@@ -20,4 +20,4 @@
-DWITH_SWIG_PY=OFF \
..
make -j `nproc`
-make install
+make install -j `nproc` | bash |
d_bash_22254 | ---
+++
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/usr/bin/env sh
set -e
-command -v bundle >/dev/null 2>&1 || gem install bundler
+gem install bundler
bundle install
vendor/bin/sculpin generate -n
bundle exec sass source/_sass/all.scss:output_dev/css/all.css --style=compressed | bash |
d_bash_22255 | ---
+++
@@ -23,7 +23,7 @@
// Deprecated header file for case-sensitive filesystems
#warning The dart/$lower/$1.h header file is deprecated \\
- as of gazebo 4.3 and will be removed in the next release.
+ as of dart 4.3 and will be removed in the next release.
#include "dart/$lower/$2.h"
#endif | bash |
d_bash_22256 | ---
+++
@@ -8,16 +8,16 @@
. $srcdir/../test_common.sh
function test_illicit_function_use {
- codebase=$top_srcdir/src
- if grep -r xmlReaderForFile $codebase; then
+ codebase=$(find $top_srcdir/src/ -regex '.*\.[ch]x*')
+ if grep xmlReaderForFile $codebase; then
echo "xmlReaderForFile is not allowed within Ope... | bash |
d_bash_22257 | ---
+++
@@ -2,7 +2,7 @@
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
-if [[ ! -f /Applications ]]; then
+if [[ ! -d /Applications ]]; then
exit
fi
| bash |
d_bash_22258 | ---
+++
@@ -15,14 +15,14 @@
echo "Selected callers: $STR_CALLERS"
snakemake -C echo_run=$ECHO samples=$SAMPLES mode=$MODE \
enable_callers="$STR_CALLERS" $USE_CONDA \
- --latency-wait 30 --jobs \
+ --latency-wait 60 --jobs \
--cluster "xenon -vvv scheduler $SCH --location local:// submit \
--name smk.{ru... | bash |
d_bash_22259 | ---
+++
@@ -1,4 +1,6 @@
-git clone https://github.com/lastpass/lastpass-cli.git
-cd lastpass-cli
-make PREFIX=${HOME}/lpass -j 16
-make PREFIX=${HOME}/lpass install
+(
+ git clone https://github.com/lastpass/lastpass-cli.git
+ cd lastpass-cli
+ make PREFIX=${HOME}/lpass -j 16
+ make PREFIX=${HOME}/lpass install
+) | bash |
d_bash_22260 | ---
+++
@@ -1,2 +1,3 @@
sudo apt-get build-dep xpdf
-./configure --enable-a4-paper
+sudo apt-get install libpaper-dev
+./configure --with-freetype2-includes=/usr/local/include/freetype2/ --with-freetype2-library=/usr/local/lib/ --enable-a4-paper | bash |
d_bash_22261 | ---
+++
@@ -1,5 +1,12 @@
#!/bin/sh
-if [ -f /usr/bin/le2 ]; then
- /usr/bin/le2 tokens
+if [ -s /usr/bin/le2 ]; then
+ if [ -s /etc/le/token ]; then
+ # Use /etc/le/token file to manually set a logentries token
+ # and its content should be like this
+ # le_rsyslog_token=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx... | bash |
d_bash_22262 | ---
+++
@@ -7,7 +7,7 @@
php $FFPHP "$@" | tee $FFTMP
# Get returned commands
-retcmd=$(grep -E "^cmd:.+" $FFTMP | sed 's/^cmd:\(.*\)/\1/')
+retcmd=$(\grep -E "^cmd:.+" $FFTMP | sed 's/^cmd:\(.*\)/\1/')
# Execute commands
eval $retcmd | bash |
d_bash_22263 | ---
+++
@@ -5,7 +5,7 @@
if [ -z "$options" ]; then
driver="vmwarefusion"
- if [ `ps aux | grep vmware-tools | grep -v grep | wc -l` -ne 0 ]; then
+ if [ $(ps aux | grep vmware-tools | grep -v grep | wc -l) -ne 0 ]; then
# Use virtualbox as driver in VMs
driver="virtualbox"
fi | bash |
d_bash_22264 | ---
+++
@@ -1 +1 @@
-cp /vagrant/config/xdebug.ini /etc/php/7.0/mods-available/xdebug.ini
+cp /vagrant/config/xdebug.ini /etc/php/7.1/mods-available/xdebug.ini | bash |
d_bash_22265 | ---
+++
@@ -12,13 +12,13 @@
#Download dedicated webpages
rm index.html
-cat ../download_data | awk '{ split($0, a, "\""); system( "wget \"https://developer.apple.com/videos/wwdc/2015/"a[2]"\" -O \"" a[3] "\"")}'
+cat ../download_data | awk '{ split($0, a, "\""); system( "wget -c \"https://developer.apple.com/vide... | bash |
d_bash_22266 | ---
+++
@@ -23,4 +23,11 @@
exit 1
fi
+# cf. https://furbo.org/2019/08/16/catalina-app-notarization-and-sparkle/
+LOCATION="${BUILT_PRODUCTS_DIR}"/"${FRAMEWORKS_FOLDER_PATH}"
+IDENTITY=${EXPANDED_CODE_SIGN_IDENTITY_NAME}
+
+codesign --verbose --force --deep -o runtime --sign "$IDENTITY" "$LOCATION/Sparkle.framewo... | bash |
d_bash_22267 | ---
+++
@@ -1 +1,2 @@
export PATH=$PATH:/opt/microchip/xc8/v1.20/bin
+export PATH=$PATH:/opt/microchip/mplabx/mplab_ipe | bash |
d_bash_22268 | ---
+++
@@ -1,4 +1,16 @@
#!/usr/bin/env bash
+RUNTESTS="${RUNTESTS:-1}"
+
+if [[ "$RUNTESTS" == "0" ]]; then
+ echo "Skipping tests due to \$RUNTESTS = 0."
+ cat <<EOF > /var/www/coyote-tests/results
+{
+ "passed": -1,
+ "failed": 0
+}
+EOF
+ exit 0
+fi
cd /tmp
cat <<EOF > /var/www/coyote-tests/result... | bash |
d_bash_22269 | ---
+++
@@ -5,5 +5,5 @@
alias l='ls -lAh'
# Preventing less from line wrapping
-alias less='less -S'
+alias less='less -SXRF'
| bash |
d_bash_22270 | ---
+++
@@ -1,5 +1,8 @@
#!/bin/bash
-echo "Manual install: https://golang.org/doc/install"
+if ! type "go" > /dev/null; then
+ echo "Go is not installed. Manually install: https://golang.org/doc/install"
+ exit 1
+fi
go get -d -v golang.org/x/tools/cmd/guru | bash |
d_bash_22271 | ---
+++
@@ -1,2 +1,5 @@
#!/bin/bash
-pm2 stop lifeforce && git pull && pm2 flush && pm2 start lifeforce && pm2 logs lifeforce
+sudo service repka-lifeforce stop
+git pull
+sudo service repka-lifeforce start
+sudo service repka-lifeforce status | bash |
d_bash_22272 | ---
+++
@@ -7,4 +7,5 @@
sudo add-apt-repository -y 'deb http://llvm.org/apt/trusty/ llvm-toolchain-trusty main'
sudo add-apt-repository -y 'deb http://llvm.org/apt/trusty/ llvm-toolchain-trusty-3.6 main'
sudo add-apt-repository -y 'deb http://llvm.org/apt/trusty/ llvm-toolchain-trusty-3.7 main'
+sudo add-apt-repos... | bash |
d_bash_22273 | ---
+++
@@ -1 +1 @@
-django-admin.py test -v2 --settings=markitup.tests.settings --pythonpath=../..
+django-admin.py test --settings=markitup.tests.settings --pythonpath=../.. | bash |
d_bash_22274 | ---
+++
@@ -26,5 +26,9 @@
alias vi='vim'
fi
+if which bat >/dev/null; then
+ alias cat='bat'
+fi
+
alias find='noglob find'
alias git='noglob git' | bash |
d_bash_22275 | ---
+++
@@ -9,3 +9,5 @@
if [[ -n ${DB-} && x$DB =~ ^xmariadb ]]; then
sudo bash travis/.travis_mariadb.sh
fi
+
+sudo apt-get install xpdf | bash |
d_bash_22276 | ---
+++
@@ -5,20 +5,33 @@
exit
else
- docker_root=/var/lib/docker
- kubelet_root=/var/lib/kubelet
+ def_docker_root="/var/lib/docker"
+ def_kubelet_root="/var/lib/kubelet"
if [ -d /rootfs/etc ] && [ -f /rootfs/etc/os-release ]
then
case "$(eval `cat /rootfs/etc/os-release` ; echo $ID)" in
... | bash |
d_bash_22277 | ---
+++
@@ -1,5 +1,8 @@
+# OS X 10.10.4
+alias flushdns="dscacheutil -flushcache; sudo killall -HUP mDNSResponder"
+
# OS X 10.10
-alias flushdns="sudo discoveryutil udnsflushcaches"
+#alias flushdns="sudo discoveryutil udnsflushcaches"
# MacOS X 10.9
# alias flushdns="dscacheutil -flushcache; sudo killall -HUP ... | bash |
d_bash_22278 | ---
+++
@@ -1,6 +1,15 @@
#!/bin/sh
set -u
set -e
+
+if [ -z "$JAVA_VERSION" ]; then
+ echo "JAVA_VERSION needs to be defined to use this module" >&2
+ exit 1
+fi
+if [ -z "$JAVA_VENDOR" ]; then
+ echo "JAVA_VENDOR needs to be defined to use this module" >&2
+ exit 1
+fi
# Clean up any java-* packages that h... | bash |
d_bash_22279 | ---
+++
@@ -24,7 +24,7 @@
assert "cat onetwothree.txt | ./print_linenumbers.swift" "1: one\n2: two\n3: three"
assert "./stream_out.swift" " 3"
assert "./callswiftscriptfromswift.swift" "1: one\n2: two\n3: three"
-assert "./readfilelinebyline.swift" "one\ntwo\nthree"
+# assert "./readfilelinebyline.swift" "on... | bash |
d_bash_22280 | ---
+++
@@ -11,6 +11,7 @@
if [ -d "/target" ];then
echo "GOING TO DO INSTALL IN 5 SECONDS, Ctrl-C to abort"
sleep 5
+ rm -f /target/dockersh
cp -a /gopath/src/dockersh/dockersh /target/dockersh
else
echo "No /target directory found, not installing" | bash |
d_bash_22281 | ---
+++
@@ -1,7 +1,4 @@
#!/bin/bash
-
-BINARY_HOME=$PREFIX/bin
-PKG_HOME=$PREFIX/opt/$PKG_NAME-$PKG_VERSION
cd $SRC_DIR/bin
@@ -15,6 +12,5 @@
mason_variator \
"
mkdir -p $PREFIX/bin
-mkdir -p $PKG_HOME
-for i in $binaries; do cp $SRC_DIR/bin/$i $PKG_HOME/$i && chmod a+x $PKG_HOME/$i && ln -s $PKG_HOME/$i $... | bash |
d_bash_22282 | ---
+++
@@ -6,7 +6,7 @@
# Install Ruby.
if [[ "$(type -P rbenv)" ]]; then
- versions=(2.1.3 2.0.0-p576 1.9.3-p547)
+ versions=(2.1.3) # 2.0.0-p576 1.9.3-p547)
list="$(to_install "${versions[*]}" "$(rbenv whence ruby)")"
if [[ "$list" ]]; then | bash |
d_bash_22283 | ---
+++
@@ -20,5 +20,5 @@
fi
#read_config.js isn't checked because of eval is evil
-./node_modules/jshint/bin/hint server.js
+./node_modules/jshint/bin/jshint server.js
supervisor ./server.js | bash |
d_bash_22284 | ---
+++
@@ -11,10 +11,11 @@
MODULEDIR="$WORKDIR/$RAWMODULEDIR"
RSDIR="$MODULEDIR/librealsense"
-mkdir -p $RSDIR
+mkdir -p $RSDIR/wrappers
rsync -a ../.. $RSDIR --exclude wrappers --exclude doc --exclude unit-tests --exclude build --exclude .git
rsync -a . $MODULEDIR --exclude build --exclude dist --exclude node... | bash |
d_bash_22285 | ---
+++
@@ -1,9 +1,16 @@
#! /bin/sh -x
-$(dirname $0)/geocode.sh germering > $(dirname $0)/library/src/test/resources/de-by-germering.json
-$(dirname $0)/geocode.sh kas > $(dirname $0)/library/src/test/resources/tr-antalya-kas.json
-$(dirname $0)/geocode.sh serik > $(dirname $0)/library/src/test/resource... | bash |
d_bash_22286 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -e
-REPO_URI="https://git.v6jv.flynnhub.com/ourcities-rebu-client-develop.git"
+REPO_URI="https://ubuntu:$FLYNN_KEY@git.v6jv.flynnhub.com/ourcities-rebu-client-develop.git"
if [[ "$CIRCLE_BRANCH" == "master" ]]; then
REPO_URI="dokku@reboo.org:0-client"
fi | bash |
d_bash_22287 | ---
+++
@@ -11,7 +11,7 @@
npm install --no-save react@$REACT_VERSION react-dom@$REACT_VERSION
# Conditionally install dependencies per https://github.com/airbnb/enzyme#installation
-if [ ${REACT_VERSION} = "0" ]; then
+if [ "${REACT_VERSION}" = "0" ]; then
npm install --no-save react-addons-test-utils@$REACT_VE... | bash |
d_bash_22288 | ---
+++
@@ -6,7 +6,7 @@
"container": {
"type": "DOCKER",
"docker": {
- "image": "$APP_IMAGE",
+ "image": "lreimer/cloud-native-go:$WERCKER_GIT_COMMIT",
"network": "BRIDGE",
"forcePullImage": true,
"portMappings": [ | bash |
d_bash_22289 | ---
+++
@@ -6,18 +6,19 @@
# keep remote last, since that's a optional argument
REMOTE=$4
-if [ -f ~/lock_${NAME} ]; then
+LOCKFILE=~/lock_${NAME}
+if [ -f $LOCKFILE ]; then
exit 0
fi
-date > ~/lock_${NAME}
+date > $LOCKFILE
DIR="/srv/builder/$NAME"
cd $DIR
git fetch -q
if [ $( git diff --name-only... | bash |
d_bash_22290 | ---
+++
@@ -10,7 +10,7 @@
WEB_APP_PATH="$CDAP_HOME/web-app/server/main.js"
# if ENABLE_BETA_UI is set then start beta ui
-if $ENABLE_BETA_UI; then
+if [ "$ENABLE_BETA_UI" == "true" ]; then
WEB_APP_PATH="$CDAP_HOME/web-app/beta/server.js"
fi
| bash |
d_bash_22291 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-echo $(uptime) $(hostname) | awk '{printf("BOUNDARY_CPU_LOAD_1_MINUTE %s %s\nBOUNDARY_CPU_LOAD_5_MINUTE %s %s\nBOUNDARY_CPU_LOAD_15_MINUTE %s %s\n",$8,$11,$9,$11,$10,$11)}'
+echo "$(uptime):$(hostname)" | cut -f 4,5 -d ':' | tr ':' ' ' | awk '{printf("BOUNDARY_CPU_LOAD_1_MINUTE... | bash |
d_bash_22292 | ---
+++
@@ -1,4 +1,8 @@
export RUBYLIB="."
-mkdir cinchize
+if [ -d /var/lib/gems/1.9.1/bin ]; then
+ PATH=$PATH:/var/lib/gems/1.9.1/bin
+fi
+
+mkdir -p cinchize
exec cinchize --start mensearch | bash |
d_bash_22293 | ---
+++
@@ -17,6 +17,8 @@
# hci0
hciattach /dev/ttymxc2 texas 115200
+ hciconfig hci0 reset
+ hciconfig hci0 name "STROMER"
;;
stop) | bash |
d_bash_22294 | ---
+++
@@ -2,6 +2,28 @@
#Copy a vmware image to a new name
#needs to be run as sudo
#Command line args, original dir, new dir
+orig=$1
+new=$2
+cp -R $1 $2
+cd $2#!/bin/sh
+# Copyright (c) 2011 The Open Source Geospatial Foundation.
+# Licensed under the GNU LGPL.
+#
+# This library is free software; you can red... | bash |
d_bash_22295 | ---
+++
@@ -14,7 +14,7 @@
export BASE_URL="${URL}"
docker run --rm -e BASE_URL -v $(pwd):/bzt-configs \
-v $(pwd)/../build/performance-artifacts:/tmp/artifacts \
- undera/taurus \
+ blazemeter/taurus \
-o modules.jmeter.properties.base-uri="${BASE_URL}" \
-o reporting.2.dump-xml=/tmp/artifacts/stats.xml ... | bash |
d_bash_22296 | ---
+++
@@ -1,21 +1,9 @@
#!/bin/sh
-show_warning() {
- echo >&2 "======================================================================"
- echo >&2 "=== WARNING: Entrypoint of this Docker image has changed. ============"
- echo >&2 "=== Future versions of the image might not work correctly for you. ==="
- echo... | bash |
d_bash_22297 | ---
+++
@@ -9,6 +9,7 @@
create)
echo "running create"
bundle exec rails db:setup
+ bundle exec rails data:migrate
;;
migrate)
echo "running migrate" | bash |
d_bash_22298 | ---
+++
@@ -3,4 +3,4 @@
export LC_ALL=C.UTF-8
export LANG=C.UTF-8
-nohup python3 -m flask run --host=0.0.0.0 --port=54321 > /home/fsantiag/log.txt 2>&1 &
+python3 -m flask run --host=0.0.0.0 --port=54321 | bash |
d_bash_22299 | ---
+++
@@ -4,6 +4,9 @@
if command -v pwsh > /dev/null; then
# Opt-out of telemetry
export POWERSHELL_TELEMETRY_OPTOUT=true
+
+ # Hide banner by default
+ alias pwsh='pwsh -NoLogo'
fi
# vim: syntax=sh cc=80 tw=79 ts=4 sw=4 sts=4 et sr | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.